Debian Bug report logs - #404785
debhelper: dh_fixperms doesn't recognize .hpp headers

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Jordà Polo <jorda@ettin.org>

Date: Thu, 28 Dec 2006 09:18:06 UTC

Severity: wishlist

Tags: patch

Found in version debhelper/5.0.42

Fixed in version debhelper/5.0.43

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#404785; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Jordà Polo <jorda@ettin.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jordà Polo <jorda@ettin.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debhelper: dh_fixperms doesn't recognize .hpp headers
Date: Thu, 28 Dec 2006 10:13:31 +0100
Package: debhelper
Version: 5.0.42
Severity: wishlist
Tags: patch

dh_fixperms only fixes permissions of `.h' header files in /usr/include,
but in Debian there are many C++ libraries that use `.hpp' instead.

Here is a simple patch to find `.hpp' headers too:

--- dh_fixperms.orig	2006-12-28 08:10:17.000000000 +0100
+++ dh_fixperms	2006-12-28 08:09:14.000000000 +0100
@@ -77,7 +77,7 @@
 	
 	# ..and header files ..
 	complex_doit("find $tmp/usr/include  -type f",
-		"-name '*.h' $find_options -print0",
+		"-name '*.h' -or -name '*.hpp' $find_options -print0",
 		"2>/dev/null | xargs -0r chmod 644");
 	
 	# .. and perl modules.


PS. A review of the files installed in /usr/include reveals that there are
headers with other extensions, such as `.hxx' or `.hh'. I didn't include
these headers in the patch because: 1) I found this bug while packaging
a library that uses `.hpp' files, 2) it looks like `.hpp' is more widely
used, 3) I'm not sure it is a good idea to include _everything_, and 4)
it is trivial to add them anyway.



Tags added: pending Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jordà Polo <jorda@ettin.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 404785-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 404785-close@bugs.debian.org
Subject: Bug#404785: fixed in debhelper 5.0.43
Date: Sun, 08 Apr 2007 19:47:02 +0000
Source: debhelper
Source-Version: 5.0.43

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_5.0.43.dsc
  to pool/main/d/debhelper/debhelper_5.0.43.dsc
debhelper_5.0.43.tar.gz
  to pool/main/d/debhelper/debhelper_5.0.43.tar.gz
debhelper_5.0.43_all.deb
  to pool/main/d/debhelper/debhelper_5.0.43_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 404785@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 21 Jan 2007 12:44:02 -0500
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 5.0.43
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 381851 381854 381940 400571 404785 406707 406921
Changes: 
 debhelper (5.0.43) unstable; urgency=low
 .
   [ Valery Perrin ]
   * Correct typo in french translation
 .
   [ Joey Hess ]
   * Typo. Closes: #400571
   * dh_fixperms: Change a chmod +x to chmod a+x, to avoid the umask
     influencing it.
   * Looks like Package-Type might get into dpkg. Support it w/o the XB-
     too.
   * dh_installudev: Fix postrm to not fail if the udev symlink is missing.
     Closes: #406921, #381940
   * dh_fixperms: Make all files in /usr/include 644, not only .h files.
     Closes: #404785
   * Man page improvements. Closes: #406707
   * dh_installdocs: In v5 mode, now ignore empty files even if they're hidden
     away inside a subdirectory. The code missed this before. See #200905
   * dh_installudev: Support debian/udev files. Closes: #381854
   * dh_installudev: Treat --priority value as a string so that leading zeros
     can be used (also so that a leading "z" that is not "z60" can be
     specified). Closes: #381851
   * Misc minor changes.
Files: 
 769462be2b4553ad388d1008536322a4 535 devel optional debhelper_5.0.43.dsc
 5b741971042f836084d500cc62acdae1 266358 devel optional debhelper_5.0.43.tar.gz
 9f0761c57b066ba49e0ffbcc9d9afced 511742 devel optional debhelper_5.0.43_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGGOQI2tp5zXiKP0wRAsfcAKCBxfjun2ol1vqLPihXE40bTh3Q0ACgo0UO
l7csmOKwLddicehTCF7kEwg=
=NSxf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 22:13:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:18:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.